local assets=
{
	Asset("ANIM", "anim/cl.zip"),
Asset("ATLAS", "images/inventoryimages/xd.xml"),
    Asset("IMAGE", "images/inventoryimages/xd.tex"),
}



local function fn(Sim)
		local inst = CreateEntity()
	inst.entity:AddTransform()
	inst.entity:AddAnimState()
    
    MakeInventoryPhysics(inst)
if SaveGameIndex:IsModeShipwrecked() then
  
	MakeInventoryFloatable(inst, "idle", "idle")
end
   inst.AnimState:SetBank("blueprint_rare")
    inst.AnimState:SetBuild("cl")
    inst.AnimState:PlayAnimation("idle")

     
    inst:AddComponent("stackable")
    inst.components.stackable.maxsize = TUNING.STACK_SIZE_SMALLITEM
    inst:AddComponent("inspectable")
    
     inst:AddComponent("inventoryitem")
    inst.components.inventoryitem.imagename = "xd"
    inst.components.inventoryitem.atlasname = "images/inventoryimages/xd.xml"

    




 
    return inst
end

return Prefab( "common/inventory/xd", fn, assets) 
